Bug 1372120 (CVE-2016-6346) - CVE-2016-6346 RESTEasy: Abuse of GZIPInterceptor in RESTEasy can lead to denial of service attack
Summary: CVE-2016-6346 RESTEasy: Abuse of GZIPInterceptor in RESTEasy can lead to deni...
Status: NEW
Alias: CVE-2016-6346
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160901,repor...
Keywords: Security
Depends On: 1372122 1456313 1471275 1372592 1372593 1372848 1372849 1456314 1456315 1456316 1456317 1471276
Blocks: 1371804 1372141 1372565 1372568 1372571 1460775 1527613
TreeView+ depends on / blocked
 
Reported: 2016-09-01 00:44 UTC by Jason Shepherd
Modified: 2019-05-14 12:36 UTC (History)
101 users (show)

(edit)
It was found that GZIPInterceptor is enabled when not necessarily required in RESTEasy. An attacker could use this flaw to launch a Denial of Service attack.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0517 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform security update 2017-05-03 01:58:28 UTC
Red Hat Product Errata RHSA-2017:0826 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.14 update on RHEL 5 2017-03-22 20:46:23 UTC
Red Hat Product Errata RHSA-2017:0827 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.14 update on RHEL 6 2017-03-22 20:43:37 UTC
Red Hat Product Errata RHSA-2017:0828 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.14 update on RHEL 7 2017-03-22 20:40:43 UTC
Red Hat Product Errata RHSA-2017:0829 normal SHIPPED_LIVE Important: jboss-ec2-eap security, bug fix, and enhancement update 2017-03-22 21:11:17 UTC
Red Hat Product Errata RHSA-2017:1675 normal SHIPPED_LIVE Moderate: Red Hat JBoss BPM Suite security update 2017-07-04 22:00:22 UTC
Red Hat Product Errata RHSA-2017:1676 normal SHIPPED_LIVE Moderate: Red Hat JBoss BRMS security update 2017-07-04 22:00:02 UTC
Red Hat Product Errata RHSA-2018:0002 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.0.9 security update on RHEL 6 2018-01-03 15:30:20 UTC
Red Hat Product Errata RHSA-2018:0003 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.0.9 security update 2018-01-03 15:20:33 UTC
Red Hat Product Errata RHSA-2018:0004 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.0.9 security update on RHEL 7 2018-01-03 15:31:14 UTC
Red Hat Product Errata RHSA-2018:0005 normal SHIPPED_LIVE Important: eap7-jboss-ec2-eap security update 2018-01-03 15:49:39 UTC
Red Hat Product Errata RHSA-2018:2143 None None None 2018-07-05 15:29 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36 UTC

Description Jason Shepherd 2016-09-01 00:44:29 UTC
It was found that GZIPInterceptor is enabled when not necessarily required in RESTEasy. An attacker could use this flaw to launch a Denial of Service attack.

Comment 1 Jason Shepherd 2016-09-01 00:45:21 UTC
Acknowledgments:

Name: Mikhail Egorov (Odin)

Comment 2 Jason Shepherd 2016-09-01 00:50:37 UTC
Created resteasy tracking bugs for this issue:

Affects: fedora-all [bug 1372122]

Comment 12 errata-xmlrpc 2017-03-14 17:32:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4.14 

Via RHSA-2017:0517 https://rhn.redhat.com/errata/RHSA-2017-0517.html

Comment 13 errata-xmlrpc 2017-03-22 16:49:21 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2017:0828 https://rhn.redhat.com/errata/RHSA-2017-0828.html

Comment 14 errata-xmlrpc 2017-03-22 16:50:39 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0827 https://rhn.redhat.com/errata/RHSA-2017-0827.html

Comment 15 errata-xmlrpc 2017-03-22 16:51:50 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2017:0826 https://rhn.redhat.com/errata/RHSA-2017-0826.html

Comment 16 errata-xmlrpc 2017-03-22 17:11:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2017:0829 https://rhn.redhat.com/errata/RHSA-2017-0829.html

Comment 19 Jason Shepherd 2017-05-29 00:42:17 UTC
Created resteasy tracking bugs for this issue:

Affects: fedora-all [bug 1456313]

Comment 23 errata-xmlrpc 2017-07-04 18:00:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS

Via RHSA-2017:1676 https://access.redhat.com/errata/RHSA-2017:1676

Comment 24 errata-xmlrpc 2017-07-04 18:01:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite

Via RHSA-2017:1675 https://access.redhat.com/errata/RHSA-2017:1675

Comment 25 Kurt Seifried 2017-07-14 21:15:49 UTC
Created resteasy tracking bugs for this issue:

Affects: fedora-all [bug 1471275]

Comment 28 errata-xmlrpc 2018-01-03 10:20:59 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0003 https://access.redhat.com/errata/RHSA-2018:0003

Comment 29 errata-xmlrpc 2018-01-03 10:32:10 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0002 https://access.redhat.com/errata/RHSA-2018:0002

Comment 30 errata-xmlrpc 2018-01-03 10:34:28 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2018:0004 https://access.redhat.com/errata/RHSA-2018:0004

Comment 31 errata-xmlrpc 2018-01-03 10:51:23 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2018:0005 https://access.redhat.com/errata/RHSA-2018:0005

Comment 33 errata-xmlrpc 2018-07-05 15:28:23 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2018:2143 https://access.redhat.com/errata/RHSA-2018:2143

Comment 34 errata-xmlrpc 2018-12-03 14:57:05 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2017:1675 https://access.redhat.com/errata/RHSA-2017:1675

Comment 35 errata-xmlrpc 2018-12-03 14:57:32 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2017:1676 https://access.redhat.com/errata/RHSA-2017:1676

Comment 37 Richard Maciel Costa 2019-05-03 18:23:50 UTC
Statement:

This issue was fixed in EAP 7.1.0, but was not fixed in 7.0.7
On Red Hat Satellite 6.5 this issue is fixed through the candlepin package update (candlepin 2.5.8), which contains a non-vulnerable version of RESTEasy.

Comment 38 errata-xmlrpc 2019-05-14 12:36:06 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.5 for RHEL 7

Via RHSA-2019:1222 https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.